Package twisted :: Package spread :: Module publish :: Class RemotePublished

[show private | hide private]
[frames | no frames]

## Class RemotePublished

    Unjellyable --+
                  |
         RemoteCopy --+
                      |
      Jellyable --+   |
                  |   |
       Serializable --+
                      |
            RemoteCache --+
                          |
                         RemotePublished

The local representation of remote Publishable object.

Method Summary
| ``__cmp__`(self, other)` Compare me [to another RemoteCache. (inherited from `RemoteCache`)
| ``__del__`(self)` Do distributed reference counting on finalize. (inherited from `RemoteCache`)
| `__getstate__(self)`
| ``__hash__`(self)` Hash me. (inherited from `RemoteCache`)
| ``activated`(self)` Implement this method if you want to be notified when your publishable subclass is activated.
| ``callWhenActivated`(self, callback)` Externally register for notification when this publishable has received all relevant data.
| `getFileName(self, ext)`
| `getStateFor(self, jellier)` (inherited from `Jellyable`)
| ``jellyFor`(self, jellier)` serialize me (only for the broker I'm for) as the original cached reference (inherited from `RemoteCache`)
| ``processUniqueID`(self)` Return an ID which uniquely represents this object for this process. (inherited from `Serializable`)
| ``remoteMessageReceived`(self, broker, message, args, kw)` A remote message has been received. (inherited from `RemoteCache`)
| ``setCopyableState`(self, state)` I will be invoked with the state to copy locally.
| `setStateFor(self, unjellier, state)` (inherited from `Unjellyable`)
| `unjellyFor(self, unjellier, jellyList)` (inherited from `RemoteCache`)
| `_cbGotUpdate(self, newState)`

Class Variable Summary
`int` | `isActivated`
`int` | `_wasCleanWhenLoaded`

Method Details

### activated(self)

Implement this method if you want to be notified when your publishable subclass is activated.

### callWhenActivated(self, callback)

Externally register for notification when this publishable has received all relevant data.

### setCopyableState(self, state)

I will be invoked with the state to copy locally.

'state' is the data returned from the remote object's 'getStateToCopyFor' method, which will often be the remote object's dictionary (or a filtered approximation of it depending on my peer's perspective).

  Overrides:
    `twisted.spread.flavors.RemoteCopy.setCopyableState` (inherited documentation)

Class Variable Details

### isActivated

  Type:
    `int`
  Value:

        0

### _wasCleanWhenLoaded

  Type:
    `int`
  Value:

        0

Generated by Epydoc 1.1 on Thu May 8 13:19:03 2003 | http://epydoc.sf.net